Summary: Puzzle game similar to Oxyd
Name: enigma-freeoxyd
Version: 1.01
Release: %mkrel 2
Source0: http://download.berlios.de/enigma-game/enigma-%{version}.tar.bz2
Patch1: enigma-0.81-desktop-entry.patch
License: GPL
Group: Games/Arcade
URL: http://www.nongnu.org/enigma/
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: libpng-devel
BuildRequires: liblua-devel libSDL-devel libSDL_image-devel
BuildRequires: libSDL_mixer-devel libSDL_ttf-devel
BuildRequires: ImageMagick
BuildRequires: desktop-file-utils
BuildRequires: xerces-c-devel

%description
Enigma is a tribute to and a re-implementation of one of the most
original and intriguing computer games of the 1990's: Oxyd.  Your
objective is easily explained: find and uncover all pairs of identical
Oxyd stones in each landscape.  Sounds simple?  It would be, if it
weren't for hidden traps, vast mazes, insurmountable obstacles and
innumerable puzzles blocking your direct way to the Oxyd stones...

%prep
%setup -q -n enigma-%{version}
%patch1 -p1

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT installed-docs
%makeinstall_std

mv $RPM_BUILD_ROOT/%_docdir/enigma installed-docs
mv $RPM_BUILD_ROOT/%_bindir/enigma $RPM_BUILD_ROOT/%_bindir/%name

# (blino) remove devel files
rm -rf $RPM_BUILD_ROOT%{_includedir} $RPM_BUILD_ROOT%{_libdir}/*.a

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="PuzzleGame" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Arcade" \
  --add-category="ArcadeGame;LogicGame" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


mkdir -p %buildroot{%_liconsdir,%_iconsdir,%_miconsdir}
ln -s %_datadir/pixmaps/enigma.png %buildroot%_liconsdir/%name.png
convert -scale 32x32 etc/enigma.png %buildroot%_iconsdir/%name.png
convert -scale 16x16 etc/enigma.png %buildroot%_miconsdir/%name.png

%find_lang enigma

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
%update_icon_cache hicolor

%postun
%{clean_menus}
%clean_icon_cache hicolor

%files -f enigma.lang
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/enigma
%{_datadir}/applications/*
%doc installed-docs/*
%{_mandir}/man6/*
%_datadir/icons/hicolor/48x48/apps/*
%_datadir/pixmaps/*
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png



%changelog
* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.01-2mdv2008.1
+ Revision: 170817
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Jul 11 2007 Olivier Blin <oblin@mandriva.com> 1.01-1mdv2008.0
+ Revision: 51313
- remove old menu
- remove unused devel files
- no need to fix man page location anymore
- buildrequire xerces-c-devel
- use configure2_5x and makeinstall_std macros
- drop gcc4.1 patch (not needed anymore)
- 1.01


* Tue Jun 27 2006 Gtz Waschk <waschk@mandriva.org> 0.92-2mdv2007.0
- fix buildrequires
- handle icon cache
- xdg menu
- fix build with gcc 4.1
- use mkrel

* Wed Jun 08 2005 Gtz Waschk <waschk@mandriva.org> 0.92-1mdk
- New release 0.92

* Mon May 09 2005 Gtz Waschk <waschk@mandriva.org> 0.91-1mdk
- new version

* Wed Apr 13 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.rc1.1mdk
- add translations
- drop patch 0
- new version

* Thu Sep 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.81-5mdk
- fix menu

* Mon Jul 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.81-4mdk
- add source URL
- fix icon
- fix applications menu entry

* Fri Jul 02 2004 Michael Scherer <misc@mandrake.org> 0.81-3mdk 
- rebuild for new gcc ( patch 0 )

* Thu Feb 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.81-2mdk
- Rename binary as enigma-freeoxyd to not conflict with enigma package

* Thu Oct 16 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.81-1mdk
- 0.81

* Mon Aug 18 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.70-1mdk
- new...hum...not really, replace the enigma package
- patch0: fix some missing includes

